    Program s21ccfe

!     S21CCF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: nag_wp, s21ccf
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: q, x, y
      Integer                          :: ifail, k
!     .. Executable Statements ..
      Write (nout,*) 'S21CCF Example Program Results'

!     Skip heading in data file
      Read (nin,*)

      Write (nout,*)
      Write (nout,*) ' K    X     Q         Y'
      Write (nout,*)

      Read (nin,*) k, x, q

      ifail = -1
      y = s21ccf(k,x,q,ifail)

      If (ifail>=0) Then
        Write (nout,99999) k, x, q, y
      End If

99999 Format (1X,I2,2X,F4.1,2X,F4.1,2X,1P,E12.4)
    End Program s21ccfe
